%define name binio
%define version 1.4
%define release %mkrel 3
%define libname %mklibname %name 1
%define fname libbinio

Summary: Binary I/O stream class library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/libbinio/%{fname}-%{version}.tar.bz2
URL: http://libbinio.sourceforge.net
License: LGPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
The binary I/O stream class library presents a platform-independent
way to access binary data streams in C++.

The library is hardware independent in the form that it transparently
converts between the different forms of machine-internal binary data
representation.

It further employs no special I/O protocol and can be used on
arbitrary binary data sources.

%package -n %libname
Summary: Shared library for lib%name
Group: System/Libraries

%description -n %libname
The binary I/O stream class library presents a platform-independent
way to access binary data streams in C++.

The library is hardware independent in the form that it transparently
converts between the different forms of machine-internal binary data
representation.

It further employs no special I/O protocol and can be used on
arbitrary binary data sources.

This package contains the shared library needed to run applications
based on %name.

%package -n %libname-devel
Summary: Development files for lib%name
Group: Development/C++
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release
Requires: %libname = %version
#gw: this package also has a file /usr/include/binio.h
Conflicts: gromacs-devel

%description -n %libname-devel
The binary I/O stream class library presents a platform-independent
way to access binary data streams in C++.

The library is hardware independent in the form that it transparently
converts between the different forms of machine-internal binary data
representation.

It further employs no special I/O protocol and can be used on
arbitrary binary data sources.

This package contains C++ header files, the shared library symlink and
the developer documentation for %name.

%package -n %libname-static-devel
Summary: Static library for lib%name
Group: Development/C++
Requires: %libname-devel = %version

%description -n %libname-static-devel
The binary I/O stream class library presents a platform-independent
way to access binary data streams in C++.

The library is hardware independent in the form that it transparently
converts between the different forms of machine-internal binary data
representation.

It further employs no special I/O protocol and can be used on
arbitrary binary data sources.

This package contains the static library of %name.

%prep
%setup -q -n %fname-%version

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%post -n %libname-devel
%_install_info libbinio.info

%postun -n %libname-devel
%_remove_install_info libbinio.info

%files -n %libname
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS
%_libdir/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%_includedir/libbinio/
%_libdir/*.so
%_libdir/*.la
%_infodir/*.info*
%_libdir/pkgconfig/*

%files -n %libname-static-devel
%defattr(-,root,root)
%_libdir/*.a


%changelog
* Wed Jan 24 2007 Götz Waschk <waschk@mandriva.org> 1.4-3mdv2007.0
+ Revision: 112780
- rebuild
- Import binio




* Fri Oct  6 2006 Gtz Waschk <waschk@mandriva.org> 1.4-2mdv2007.1
- rebuild

* Sun Sep 18 2005 Gtz Waschk <waschk@mandriva.org> 1.4-1mdk
- update file list
- New release 1.4

* Wed Aug 24 2005 Götz Waschk <waschk@mandriva.org> 1.3-2mdk
- Rebuild

* Thu Aug 19 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.3-1mdk
- New release 1.3

* Fri Jun  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2-5mdk
- fix source URL
- drop prefix
- new g++

* Tue Jul  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2-4mdk
- rebuild for new rpm

* Fri Jun 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2-3mdk
- rebuild against new rpm

* Mon Apr 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2-2mdk
- fix distriblint warning

* Sat Mar  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2-1mdk
- new version

* Mon Mar  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1-1mdk
- initial package
